> ## Documentation Index
> Fetch the complete documentation index at: https://docs.partnero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List promotion codes

> Retrieve a list of all promotion codes

A promotion code is a redeemable code that points to a coupon. You can create multiple codes for a single coupon with different restrictions.

## Endpoint

```
GET https://api.partnero.com/v1/promotion-codes
```

## Query Parameters

| Parameter | Type | Default | Description |
| - | - | - | - |
| `limit` | integer | 10 | Number of results per page (10-100) |
| `page` | integer | 1 | Page number for pagination |

## Request

```bash cURL theme={"system"}
curl --location 'https://api.partnero.com/v1/promotion-codes' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_API_KEY'
```

## Response

```json 200 OK theme={"system"}
{
  "data": [
    {
      "code": "PROMO123",
      "first_time_order": true,
      "limit_to_specific_partner": false,
      "coupon_specific_partners": [],
      "limit_to_specific_customer": false,
      "coupon_specific_customers": [],
      "minimum_order_status": true,
      "minimum_order_value": 22,
      "expiration_date_status": false,
      "expiration_date_value": null,
      "redemption_times_status": false,
      "redemption_times_value": null,
      "metadata": [],
      "additional_info": [],
      "times_redeemed": 2
    }
  ],
  "links": {
    "first": "https://api.partnero.com/v1/promotion-codes?page=1",
    "last": null,
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "path": "https://api.partnero.com/v1/promotion-codes",
    "per_page": 10,
    "to": 1
  },
  "status": 1
}
```

### Response Fields

| Field | Type | Description |
| - | - | - |
| `data[].code` | string | The promotion code |
| `data[].first_time_order` | boolean | Valid only for first-time orders |
| `data[].limit_to_specific_partner` | boolean | Restricted to specific partner |
| `data[].limit_to_specific_customer` | boolean | Restricted to specific customer |
| `data[].minimum_order_status` | boolean | Minimum order required |
| `data[].minimum_order_value` | number | Minimum order amount |
| `data[].expiration_date_status` | boolean | Has expiration date |
| `data[].expiration_date_value` | date | Expiration date |
| `data[].times_redeemed` | integer | Total number of redemptions |
| `data[].additional_info` | object | Internal data, including a `redemptions` log when redemptions are recorded via the API |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.